
Infrastructure - Task #5995

Story # 3910 (Closed): Modify Synchronization to apply more validation Logic

Verify checksum in system metadata matches document checksum before synchronizing new object

2014-07-23 19:23 - Skye Roseboom

Status: Closed Start date: 2014-07-23

Priority: Normal Due date:  

Assignee: Skye Roseboom % Done: 100%

Category: d1_synchronization Estimated time: 0.00 hour

Target version: CCI-1.5.0   

Milestone: None Story Points:  

Product Version: *   

Description

Need to confirm that during CN sync and create, that the checksum presented in system metadata record actually corresponds to the

checksum of the object bytes.

Potential to re-use checksum validation logic from replication auditing.

Robert - can we pair up on this task?  If I can provide the checksum verification logic, can you help determine where the checksum

validation logic should be placed in the synchronization process?

Consider that we may need a size threshold above which checksum validation as synchronization does not occur.  This would

prevent excessive performance hits on source MN.

History

#1 - 2014-07-25 15:48 - Skye Roseboom

- Status changed from New to In Progress

- Assignee changed from Robert Waltz to Skye Roseboom

#2 - 2014-07-25 19:57 - Robert Waltz

- Parent task set to #3910

#3 - 2014-07-25 20:26 - Robert Waltz

- Product Version changed from * to 1.4.0

#4 - 2014-07-31 19:54 - Skye Roseboom

- Description updated

#5 - 2014-07-31 19:58 - Robert Waltz

- Target version set to 2014.30-Block.4.3

#6 - 2014-09-02 18:21 - Skye Roseboom

- Target version changed from 2014.30-Block.4.3 to Release Backlog

#7 - 2014-09-04 02:22 - Robert Waltz

- Product Version changed from 1.4.0 to *

#8 - 2014-09-24 18:09 - Robert Waltz

- Target version changed from Release Backlog to CCI-1.4.1

2024-04-26 1/2



#9 - 2014-09-24 18:31 - Robert Waltz

- Target version changed from CCI-1.4.1 to CCI-1.4.2

#10 - 2014-10-02 19:29 - Robert Waltz

- Target version changed from CCI-1.4.2 to CCI-1.5.0

#11 - 2014-10-07 17:28 - Skye Roseboom

- Milestone changed from CCI-1.4 to None

#12 - 2014-10-31 16:47 - Skye Roseboom

- Status changed from In Progress to Testing

#13 - 2014-12-15 20:06 - Skye Roseboom

- translation missing: en.field_remaining_hours set to 0.0

- Status changed from Testing to Closed

released in cci 1.5.0
